nn.pp.rccore

## Class TerminalBlockConfig

- java.lang.Object
- - nn.pp.rccore.TerminalBlockConfig

- All Implemented Interfaces:
    ITerminalBlockConfig

      public class TerminalBlockConfig
      extends java.lang.Object
      implements ITerminalBlockConfig

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nn.pp.rccore.ITerminalBlockConfig

      `ITerminalBlockConfig.Action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TerminalBlockConfig(boolean enabled, ITerminalBlockConfig.Action action, int blinkInterval)`
    `TerminalBlockConfig(ITerminalBlockConfig that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITerminalBlockConfig.Action` | `getAction()` Get the state of the Terminal Block, or the action to perform
    `int` | `getBlinkInterval()` Get the blink or pulse interval in half-seconds
    `boolean` | `isEnabled()` Is the Terminal Block enabled or not?
    `void` | `setAction(ITerminalBlockConfig.Action action)` Set the state of the Terminal Block, or the action to perform
    `void` | `setBlinkInterval(int interval)` Set the blink or pulse interval in half-seconds
    `void` | `setEnabled(boolean enabled)` Set the enabled state
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TerminalBlockConfig

          public TerminalBlockConfig(boolean enabled,
                                     ITerminalBlockConfig.Action action,
                                     int blinkInterval)

    - #### TerminalBlockConfig

          public TerminalBlockConfig(ITerminalBlockConfig that)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Description copied from interface: `ITerminalBlockConfig`
      Is the Terminal Block enabled or not?
      Specified by:
        `isEnabled` in interface `ITerminalBlockConfig`
      Returns:
        true if the Terminal Block enabled, false otherwise

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Description copied from interface: `ITerminalBlockConfig`
      Set the enabled state
      Specified by:
        `setEnabled` in interface `ITerminalBlockConfig`
      Parameters:
        `enabled` - true if the Terminal Block enabled, false otherwise

    - #### getAction

          public ITerminalBlockConfig.Action getAction()

      Description copied from interface: `ITerminalBlockConfig`
      Get the state of the Terminal Block, or the action to perform
      Specified by:
        `getAction` in interface `ITerminalBlockConfig`
      Returns:
        the state of the Terminal Block, or the action to perform

    - #### setAction

          public void setAction(ITerminalBlockConfig.Action action)

      Description copied from interface: `ITerminalBlockConfig`
      Set the state of the Terminal Block, or the action to perform
      Specified by:
        `setAction` in interface `ITerminalBlockConfig`
      Parameters:
        `action` - the state of the Terminal Block, or the action to perform

    - #### getBlinkInterval

          public int getBlinkInterval()

      Description copied from interface: `ITerminalBlockConfig`
      Get the blink or pulse interval in half-seconds
      Specified by:
        `getBlinkInterval` in interface `ITerminalBlockConfig`
      Returns:
        the blink or pulse interval in half-seconds

    - #### setBlinkInterval

          public void setBlinkInterval(int interval)

      Description copied from interface: `ITerminalBlockConfig`
      Set the blink or pulse interval in half-seconds
      Specified by:
        `setBlinkInterval` in interface `ITerminalBlockConfig`
      Parameters:
        `interval` - the blink or pulse interval in half-seconds

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2025 Raritan Inc. All Rights Reserved.